## org.apache.hadoop.fs
Class FSDataOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.DataOutputStream
                  org.apache.hadoop.fs.FSDataOutputStream

All Implemented Interfaces:
  Closeable, DataOutput, Flushable, Syncable

    public class FSDataOutputStream

extends DataOutputStream
implements Syncable

Utility that wraps a `OutputStream` in a `DataOutputStream`, buffers output through a `BufferedOutputStream` and creates a checksum file.

Field Summary

Fields inherited from class java.io.DataOutputStream
`written`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`FSDataOutputStream(OutputStream out)` Deprecated.
`FSDataOutputStream(OutputStream out, FileSystem.Statistics stats)`
`FSDataOutputStream(OutputStream out, FileSystem.Statistics stats, long startPosition)`

Method Summary
`void` `close()`
`long` `getPos()`
`OutputStream` `getWrappedStream()`
`void` `sync()` Synchronize all buffer with the underlying devices.

Methods inherited from class java.io.DataOutputStream
`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataOutput
`write`

Constructor Detail

### FSDataOutputStream

    @Deprecated
    public FSDataOutputStream(OutputStream out)
                       throws IOException

  Deprecated.

  Throws:
    `IOException`

### FSDataOutputStream

    public FSDataOutputStream(OutputStream out,
                              FileSystem.Statistics stats)
                       throws IOException

Throws:
  `IOException`

### FSDataOutputStream

    public FSDataOutputStream(OutputStream out,
                              FileSystem.Statistics stats,
                              long startPosition)
                       throws IOException

Throws:
  `IOException`

Method Detail

### getPos

    public long getPos()
                throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterOutputStream`
  Throws:
    `IOException`

### getWrappedStream

    public OutputStream getWrappedStream()

### sync

    public void sync()
              throws IOException

  Synchronize all buffer with the underlying devices.

  Specified by:
    `sync` in interface `Syncable`
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation